## org.gnu.gtk.event
Class StatusBarEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.StatusBarEvent

All Implemented Interfaces:
  java.io.Serializable

public class StatusBarEvent
extends GtkEvent

An event represeting action by a `StatusBar` widget.

See Also:
  Serialized Form

Nested Class Summary
`static class` `StatusBarEvent.Type` Type of a StatusBarEvent

Constructor Summary
`StatusBarEvent(java.lang.Object source, StatusBarEvent.Type type)` Creates a new StatusBar Event.

Method Summary
`java.lang.String` `getText()`
`boolean` `isOfType(StatusBarEvent.Type aType)`
`void` `setText(java.lang.String text)`

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StatusBarEvent

    public StatusBarEvent(java.lang.Object source,
                          StatusBarEvent.Type type)

  Creates a new StatusBar Event. This is used internally by java-gnome. Users only have to deal with listeners.

Method Detail

### isOfType

    public boolean isOfType(StatusBarEvent.Type aType)

  Returns:
    True if the type of this event is the same as that stated.

### getText

    public java.lang.String getText()

  Returns:
    Returns the text.

### setText

    public void setText(java.lang.String text)

  Parameters:
    `text` - The text to set.